Page MenuHomePhabricator

[Regression] __STATICREDIRECT__ is set when user sets a redirect, regardless whether the user ticks the box to set it
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Go to Wikipedia (not Beta labs).
  1. Open a page
  1. Set a redirect, e.g., to [[Test]]. Do NOT tick the box to set STATICREDIRECT.
  1. Save the page.
  1. Check your diff, and find that STATICREDIRECT has been set anyway.

I couldn't reproduce this on beta labs this morning, so it's probable that the patch already exists and just needs to be ported to the production projects.

Details

Related Gerrit Patches:

Event Timeline

Whatamidoing-WMF raised the priority of this task from to High.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF added a project: VisualEditor.
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2015, 8:48 PM
Jdforrester-WMF renamed this task from STATICREDIRECT should not be set when the user does not tick the box to set it to [Regression] __STATICREDIRECT__ is set when user sets a redirect, regardless whether the user does ticked the box to set it.Jan 15 2015, 12:18 AM
Jdforrester-WMF set Security to None.
gerritbot added a subscriber: gerritbot.

Change 185930 had a related patch set uploaded (by Alex Monk):
Don't add STATICREDIRECT whenever the user sets up redirect details

https://gerrit.wikimedia.org/r/185930

Patch-For-Review

Change 185930 merged by jenkins-bot:
Don't add STATICREDIRECT whenever the user sets up redirect details

https://gerrit.wikimedia.org/r/185930

Change 185991 had a related patch set uploaded (by Jforrester):
Don't add STATICREDIRECT whenever the user sets up redirect details

https://gerrit.wikimedia.org/r/185991

Patch-For-Review

Change 185992 had a related patch set uploaded (by Jforrester):
Don't add STATICREDIRECT whenever the user sets up redirect details

https://gerrit.wikimedia.org/r/185992

Patch-For-Review

Jdforrester-WMF renamed this task from [Regression] __STATICREDIRECT__ is set when user sets a redirect, regardless whether the user does ticked the box to set it to [Regression] __STATICREDIRECT__ is set when user sets a redirect, regardless whether the user ticks the box to set it.Jan 20 2015, 4:49 PM
Jdforrester-WMF moved this task from External and Administrivia to Q4 on the VisualEditor board.

Change 185992 merged by jenkins-bot:
Don't add STATICREDIRECT whenever the user sets up redirect details

https://gerrit.wikimedia.org/r/185992

Change 185991 merged by jenkins-bot:
Don't add STATICREDIRECT whenever the user sets up redirect details

https://gerrit.wikimedia.org/r/185991

Krenair closed this task as Resolved.Jan 21 2015, 1:15 AM

This was merged to master, deployed, etc.

Jdforrester-WMF edited a custom field.Feb 2 2015, 7:46 PM